Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network11.167.248.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
11.167.248.0
Broadcast address
11.167.251.255
First usable
11.167.248.1
Last usable
11.167.251.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 0BA7F800 · Integer 195557376 to 195558399
Reverse DNS zones
248.167.11.in-addr.arpa
249.167.11.in-addr.arpa
250.167.11.in-addr.arpa
251.167.11.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001011.10100111.11111000.0000000011.167.248.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00001011.10100111.11111000.0000000011.167.248.0
Broadcast00001011.10100111.11111011.1111111111.167.251.255
Split into smaller subnets/30

11.167.248.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
111.167.248.0/3011.167.248.1 to 11.167.248.211.167.248.32
211.167.248.4/3011.167.248.5 to 11.167.248.611.167.248.72
311.167.248.8/3011.167.248.9 to 11.167.248.1011.167.248.112
411.167.248.12/3011.167.248.13 to 11.167.248.1411.167.248.152
511.167.248.16/3011.167.248.17 to 11.167.248.1811.167.248.192
611.167.248.20/3011.167.248.21 to 11.167.248.2211.167.248.232
711.167.248.24/3011.167.248.25 to 11.167.248.2611.167.248.272
811.167.248.28/3011.167.248.29 to 11.167.248.3011.167.248.312
911.167.248.32/3011.167.248.33 to 11.167.248.3411.167.248.352
1011.167.248.36/3011.167.248.37 to 11.167.248.3811.167.248.392
1111.167.248.40/3011.167.248.41 to 11.167.248.4211.167.248.432
1211.167.248.44/3011.167.248.45 to 11.167.248.4611.167.248.472
1311.167.248.48/3011.167.248.49 to 11.167.248.5011.167.248.512
1411.167.248.52/3011.167.248.53 to 11.167.248.5411.167.248.552
1511.167.248.56/3011.167.248.57 to 11.167.248.5811.167.248.592
1611.167.248.60/3011.167.248.61 to 11.167.248.6211.167.248.632
1711.167.248.64/3011.167.248.65 to 11.167.248.6611.167.248.672
1811.167.248.68/3011.167.248.69 to 11.167.248.7011.167.248.712
1911.167.248.72/3011.167.248.73 to 11.167.248.7411.167.248.752
2011.167.248.76/3011.167.248.77 to 11.167.248.7811.167.248.792
2111.167.248.80/3011.167.248.81 to 11.167.248.8211.167.248.832
2211.167.248.84/3011.167.248.85 to 11.167.248.8611.167.248.872
2311.167.248.88/3011.167.248.89 to 11.167.248.9011.167.248.912
2411.167.248.92/3011.167.248.93 to 11.167.248.9411.167.248.952
2511.167.248.96/3011.167.248.97 to 11.167.248.9811.167.248.992
2611.167.248.100/3011.167.248.101 to 11.167.248.10211.167.248.1032
2711.167.248.104/3011.167.248.105 to 11.167.248.10611.167.248.1072
2811.167.248.108/3011.167.248.109 to 11.167.248.11011.167.248.1112
2911.167.248.112/3011.167.248.113 to 11.167.248.11411.167.248.1152
3011.167.248.116/3011.167.248.117 to 11.167.248.11811.167.248.1192
3111.167.248.120/3011.167.248.121 to 11.167.248.12211.167.248.1232
3211.167.248.124/3011.167.248.125 to 11.167.248.12611.167.248.1272
3311.167.248.128/3011.167.248.129 to 11.167.248.13011.167.248.1312
3411.167.248.132/3011.167.248.133 to 11.167.248.13411.167.248.1352
3511.167.248.136/3011.167.248.137 to 11.167.248.13811.167.248.1392
3611.167.248.140/3011.167.248.141 to 11.167.248.14211.167.248.1432
3711.167.248.144/3011.167.248.145 to 11.167.248.14611.167.248.1472
3811.167.248.148/3011.167.248.149 to 11.167.248.15011.167.248.1512
3911.167.248.152/3011.167.248.153 to 11.167.248.15411.167.248.1552
4011.167.248.156/3011.167.248.157 to 11.167.248.15811.167.248.1592
4111.167.248.160/3011.167.248.161 to 11.167.248.16211.167.248.1632
4211.167.248.164/3011.167.248.165 to 11.167.248.16611.167.248.1672
4311.167.248.168/3011.167.248.169 to 11.167.248.17011.167.248.1712
4411.167.248.172/3011.167.248.173 to 11.167.248.17411.167.248.1752
4511.167.248.176/3011.167.248.177 to 11.167.248.17811.167.248.1792
4611.167.248.180/3011.167.248.181 to 11.167.248.18211.167.248.1832
4711.167.248.184/3011.167.248.185 to 11.167.248.18611.167.248.1872
4811.167.248.188/3011.167.248.189 to 11.167.248.19011.167.248.1912
4911.167.248.192/3011.167.248.193 to 11.167.248.19411.167.248.1952
5011.167.248.196/3011.167.248.197 to 11.167.248.19811.167.248.1992
5111.167.248.200/3011.167.248.201 to 11.167.248.20211.167.248.2032
5211.167.248.204/3011.167.248.205 to 11.167.248.20611.167.248.2072
5311.167.248.208/3011.167.248.209 to 11.167.248.21011.167.248.2112
5411.167.248.212/3011.167.248.213 to 11.167.248.21411.167.248.2152
5511.167.248.216/3011.167.248.217 to 11.167.248.21811.167.248.2192
5611.167.248.220/3011.167.248.221 to 11.167.248.22211.167.248.2232
5711.167.248.224/3011.167.248.225 to 11.167.248.22611.167.248.2272
5811.167.248.228/3011.167.248.229 to 11.167.248.23011.167.248.2312
5911.167.248.232/3011.167.248.233 to 11.167.248.23411.167.248.2352
6011.167.248.236/3011.167.248.237 to 11.167.248.23811.167.248.2392
6111.167.248.240/3011.167.248.241 to 11.167.248.24211.167.248.2432
6211.167.248.244/3011.167.248.245 to 11.167.248.24611.167.248.2472
6311.167.248.248/3011.167.248.249 to 11.167.248.25011.167.248.2512
6411.167.248.252/3011.167.248.253 to 11.167.248.25411.167.248.2552
6511.167.249.0/3011.167.249.1 to 11.167.249.211.167.249.32
6611.167.249.4/3011.167.249.5 to 11.167.249.611.167.249.72
6711.167.249.8/3011.167.249.9 to 11.167.249.1011.167.249.112
6811.167.249.12/3011.167.249.13 to 11.167.249.1411.167.249.152
6911.167.249.16/3011.167.249.17 to 11.167.249.1811.167.249.192
7011.167.249.20/3011.167.249.21 to 11.167.249.2211.167.249.232
7111.167.249.24/3011.167.249.25 to 11.167.249.2611.167.249.272
7211.167.249.28/3011.167.249.29 to 11.167.249.3011.167.249.312
7311.167.249.32/3011.167.249.33 to 11.167.249.3411.167.249.352
7411.167.249.36/3011.167.249.37 to 11.167.249.3811.167.249.392
7511.167.249.40/3011.167.249.41 to 11.167.249.4211.167.249.432
7611.167.249.44/3011.167.249.45 to 11.167.249.4611.167.249.472
7711.167.249.48/3011.167.249.49 to 11.167.249.5011.167.249.512
7811.167.249.52/3011.167.249.53 to 11.167.249.5411.167.249.552
7911.167.249.56/3011.167.249.57 to 11.167.249.5811.167.249.592
8011.167.249.60/3011.167.249.61 to 11.167.249.6211.167.249.632
8111.167.249.64/3011.167.249.65 to 11.167.249.6611.167.249.672
8211.167.249.68/3011.167.249.69 to 11.167.249.7011.167.249.712
8311.167.249.72/3011.167.249.73 to 11.167.249.7411.167.249.752
8411.167.249.76/3011.167.249.77 to 11.167.249.7811.167.249.792
8511.167.249.80/3011.167.249.81 to 11.167.249.8211.167.249.832
8611.167.249.84/3011.167.249.85 to 11.167.249.8611.167.249.872
8711.167.249.88/3011.167.249.89 to 11.167.249.9011.167.249.912
8811.167.249.92/3011.167.249.93 to 11.167.249.9411.167.249.952
8911.167.249.96/3011.167.249.97 to 11.167.249.9811.167.249.992
9011.167.249.100/3011.167.249.101 to 11.167.249.10211.167.249.1032
9111.167.249.104/3011.167.249.105 to 11.167.249.10611.167.249.1072
9211.167.249.108/3011.167.249.109 to 11.167.249.11011.167.249.1112
9311.167.249.112/3011.167.249.113 to 11.167.249.11411.167.249.1152
9411.167.249.116/3011.167.249.117 to 11.167.249.11811.167.249.1192
9511.167.249.120/3011.167.249.121 to 11.167.249.12211.167.249.1232
9611.167.249.124/3011.167.249.125 to 11.167.249.12611.167.249.1272
9711.167.249.128/3011.167.249.129 to 11.167.249.13011.167.249.1312
9811.167.249.132/3011.167.249.133 to 11.167.249.13411.167.249.1352
9911.167.249.136/3011.167.249.137 to 11.167.249.13811.167.249.1392
10011.167.249.140/3011.167.249.141 to 11.167.249.14211.167.249.1432
10111.167.249.144/3011.167.249.145 to 11.167.249.14611.167.249.1472
10211.167.249.148/3011.167.249.149 to 11.167.249.15011.167.249.1512
10311.167.249.152/3011.167.249.153 to 11.167.249.15411.167.249.1552
10411.167.249.156/3011.167.249.157 to 11.167.249.15811.167.249.1592
10511.167.249.160/3011.167.249.161 to 11.167.249.16211.167.249.1632
10611.167.249.164/3011.167.249.165 to 11.167.249.16611.167.249.1672
10711.167.249.168/3011.167.249.169 to 11.167.249.17011.167.249.1712
10811.167.249.172/3011.167.249.173 to 11.167.249.17411.167.249.1752
10911.167.249.176/3011.167.249.177 to 11.167.249.17811.167.249.1792
11011.167.249.180/3011.167.249.181 to 11.167.249.18211.167.249.1832
11111.167.249.184/3011.167.249.185 to 11.167.249.18611.167.249.1872
11211.167.249.188/3011.167.249.189 to 11.167.249.19011.167.249.1912
11311.167.249.192/3011.167.249.193 to 11.167.249.19411.167.249.1952
11411.167.249.196/3011.167.249.197 to 11.167.249.19811.167.249.1992
11511.167.249.200/3011.167.249.201 to 11.167.249.20211.167.249.2032
11611.167.249.204/3011.167.249.205 to 11.167.249.20611.167.249.2072
11711.167.249.208/3011.167.249.209 to 11.167.249.21011.167.249.2112
11811.167.249.212/3011.167.249.213 to 11.167.249.21411.167.249.2152
11911.167.249.216/3011.167.249.217 to 11.167.249.21811.167.249.2192
12011.167.249.220/3011.167.249.221 to 11.167.249.22211.167.249.2232
12111.167.249.224/3011.167.249.225 to 11.167.249.22611.167.249.2272
12211.167.249.228/3011.167.249.229 to 11.167.249.23011.167.249.2312
12311.167.249.232/3011.167.249.233 to 11.167.249.23411.167.249.2352
12411.167.249.236/3011.167.249.237 to 11.167.249.23811.167.249.2392
12511.167.249.240/3011.167.249.241 to 11.167.249.24211.167.249.2432
12611.167.249.244/3011.167.249.245 to 11.167.249.24611.167.249.2472
12711.167.249.248/3011.167.249.249 to 11.167.249.25011.167.249.2512
12811.167.249.252/3011.167.249.253 to 11.167.249.25411.167.249.2552
12911.167.250.0/3011.167.250.1 to 11.167.250.211.167.250.32
13011.167.250.4/3011.167.250.5 to 11.167.250.611.167.250.72
13111.167.250.8/3011.167.250.9 to 11.167.250.1011.167.250.112
13211.167.250.12/3011.167.250.13 to 11.167.250.1411.167.250.152
13311.167.250.16/3011.167.250.17 to 11.167.250.1811.167.250.192
13411.167.250.20/3011.167.250.21 to 11.167.250.2211.167.250.232
13511.167.250.24/3011.167.250.25 to 11.167.250.2611.167.250.272
13611.167.250.28/3011.167.250.29 to 11.167.250.3011.167.250.312
13711.167.250.32/3011.167.250.33 to 11.167.250.3411.167.250.352
13811.167.250.36/3011.167.250.37 to 11.167.250.3811.167.250.392
13911.167.250.40/3011.167.250.41 to 11.167.250.4211.167.250.432
14011.167.250.44/3011.167.250.45 to 11.167.250.4611.167.250.472
14111.167.250.48/3011.167.250.49 to 11.167.250.5011.167.250.512
14211.167.250.52/3011.167.250.53 to 11.167.250.5411.167.250.552
14311.167.250.56/3011.167.250.57 to 11.167.250.5811.167.250.592
14411.167.250.60/3011.167.250.61 to 11.167.250.6211.167.250.632
14511.167.250.64/3011.167.250.65 to 11.167.250.6611.167.250.672
14611.167.250.68/3011.167.250.69 to 11.167.250.7011.167.250.712
14711.167.250.72/3011.167.250.73 to 11.167.250.7411.167.250.752
14811.167.250.76/3011.167.250.77 to 11.167.250.7811.167.250.792
14911.167.250.80/3011.167.250.81 to 11.167.250.8211.167.250.832
15011.167.250.84/3011.167.250.85 to 11.167.250.8611.167.250.872
15111.167.250.88/3011.167.250.89 to 11.167.250.9011.167.250.912
15211.167.250.92/3011.167.250.93 to 11.167.250.9411.167.250.952
15311.167.250.96/3011.167.250.97 to 11.167.250.9811.167.250.992
15411.167.250.100/3011.167.250.101 to 11.167.250.10211.167.250.1032
15511.167.250.104/3011.167.250.105 to 11.167.250.10611.167.250.1072
15611.167.250.108/3011.167.250.109 to 11.167.250.11011.167.250.1112
15711.167.250.112/3011.167.250.113 to 11.167.250.11411.167.250.1152
15811.167.250.116/3011.167.250.117 to 11.167.250.11811.167.250.1192
15911.167.250.120/3011.167.250.121 to 11.167.250.12211.167.250.1232
16011.167.250.124/3011.167.250.125 to 11.167.250.12611.167.250.1272
16111.167.250.128/3011.167.250.129 to 11.167.250.13011.167.250.1312
16211.167.250.132/3011.167.250.133 to 11.167.250.13411.167.250.1352
16311.167.250.136/3011.167.250.137 to 11.167.250.13811.167.250.1392
16411.167.250.140/3011.167.250.141 to 11.167.250.14211.167.250.1432
16511.167.250.144/3011.167.250.145 to 11.167.250.14611.167.250.1472
16611.167.250.148/3011.167.250.149 to 11.167.250.15011.167.250.1512
16711.167.250.152/3011.167.250.153 to 11.167.250.15411.167.250.1552
16811.167.250.156/3011.167.250.157 to 11.167.250.15811.167.250.1592
16911.167.250.160/3011.167.250.161 to 11.167.250.16211.167.250.1632
17011.167.250.164/3011.167.250.165 to 11.167.250.16611.167.250.1672
17111.167.250.168/3011.167.250.169 to 11.167.250.17011.167.250.1712
17211.167.250.172/3011.167.250.173 to 11.167.250.17411.167.250.1752
17311.167.250.176/3011.167.250.177 to 11.167.250.17811.167.250.1792
17411.167.250.180/3011.167.250.181 to 11.167.250.18211.167.250.1832
17511.167.250.184/3011.167.250.185 to 11.167.250.18611.167.250.1872
17611.167.250.188/3011.167.250.189 to 11.167.250.19011.167.250.1912
17711.167.250.192/3011.167.250.193 to 11.167.250.19411.167.250.1952
17811.167.250.196/3011.167.250.197 to 11.167.250.19811.167.250.1992
17911.167.250.200/3011.167.250.201 to 11.167.250.20211.167.250.2032
18011.167.250.204/3011.167.250.205 to 11.167.250.20611.167.250.2072
18111.167.250.208/3011.167.250.209 to 11.167.250.21011.167.250.2112
18211.167.250.212/3011.167.250.213 to 11.167.250.21411.167.250.2152
18311.167.250.216/3011.167.250.217 to 11.167.250.21811.167.250.2192
18411.167.250.220/3011.167.250.221 to 11.167.250.22211.167.250.2232
18511.167.250.224/3011.167.250.225 to 11.167.250.22611.167.250.2272
18611.167.250.228/3011.167.250.229 to 11.167.250.23011.167.250.2312
18711.167.250.232/3011.167.250.233 to 11.167.250.23411.167.250.2352
18811.167.250.236/3011.167.250.237 to 11.167.250.23811.167.250.2392
18911.167.250.240/3011.167.250.241 to 11.167.250.24211.167.250.2432
19011.167.250.244/3011.167.250.245 to 11.167.250.24611.167.250.2472
19111.167.250.248/3011.167.250.249 to 11.167.250.25011.167.250.2512
19211.167.250.252/3011.167.250.253 to 11.167.250.25411.167.250.2552
19311.167.251.0/3011.167.251.1 to 11.167.251.211.167.251.32
19411.167.251.4/3011.167.251.5 to 11.167.251.611.167.251.72
19511.167.251.8/3011.167.251.9 to 11.167.251.1011.167.251.112
19611.167.251.12/3011.167.251.13 to 11.167.251.1411.167.251.152
19711.167.251.16/3011.167.251.17 to 11.167.251.1811.167.251.192
19811.167.251.20/3011.167.251.21 to 11.167.251.2211.167.251.232
19911.167.251.24/3011.167.251.25 to 11.167.251.2611.167.251.272
20011.167.251.28/3011.167.251.29 to 11.167.251.3011.167.251.312
20111.167.251.32/3011.167.251.33 to 11.167.251.3411.167.251.352
20211.167.251.36/3011.167.251.37 to 11.167.251.3811.167.251.392
20311.167.251.40/3011.167.251.41 to 11.167.251.4211.167.251.432
20411.167.251.44/3011.167.251.45 to 11.167.251.4611.167.251.472
20511.167.251.48/3011.167.251.49 to 11.167.251.5011.167.251.512
20611.167.251.52/3011.167.251.53 to 11.167.251.5411.167.251.552
20711.167.251.56/3011.167.251.57 to 11.167.251.5811.167.251.592
20811.167.251.60/3011.167.251.61 to 11.167.251.6211.167.251.632
20911.167.251.64/3011.167.251.65 to 11.167.251.6611.167.251.672
21011.167.251.68/3011.167.251.69 to 11.167.251.7011.167.251.712
21111.167.251.72/3011.167.251.73 to 11.167.251.7411.167.251.752
21211.167.251.76/3011.167.251.77 to 11.167.251.7811.167.251.792
21311.167.251.80/3011.167.251.81 to 11.167.251.8211.167.251.832
21411.167.251.84/3011.167.251.85 to 11.167.251.8611.167.251.872
21511.167.251.88/3011.167.251.89 to 11.167.251.9011.167.251.912
21611.167.251.92/3011.167.251.93 to 11.167.251.9411.167.251.952
21711.167.251.96/3011.167.251.97 to 11.167.251.9811.167.251.992
21811.167.251.100/3011.167.251.101 to 11.167.251.10211.167.251.1032
21911.167.251.104/3011.167.251.105 to 11.167.251.10611.167.251.1072
22011.167.251.108/3011.167.251.109 to 11.167.251.11011.167.251.1112
22111.167.251.112/3011.167.251.113 to 11.167.251.11411.167.251.1152
22211.167.251.116/3011.167.251.117 to 11.167.251.11811.167.251.1192
22311.167.251.120/3011.167.251.121 to 11.167.251.12211.167.251.1232
22411.167.251.124/3011.167.251.125 to 11.167.251.12611.167.251.1272
22511.167.251.128/3011.167.251.129 to 11.167.251.13011.167.251.1312
22611.167.251.132/3011.167.251.133 to 11.167.251.13411.167.251.1352
22711.167.251.136/3011.167.251.137 to 11.167.251.13811.167.251.1392
22811.167.251.140/3011.167.251.141 to 11.167.251.14211.167.251.1432
22911.167.251.144/3011.167.251.145 to 11.167.251.14611.167.251.1472
23011.167.251.148/3011.167.251.149 to 11.167.251.15011.167.251.1512
23111.167.251.152/3011.167.251.153 to 11.167.251.15411.167.251.1552
23211.167.251.156/3011.167.251.157 to 11.167.251.15811.167.251.1592
23311.167.251.160/3011.167.251.161 to 11.167.251.16211.167.251.1632
23411.167.251.164/3011.167.251.165 to 11.167.251.16611.167.251.1672
23511.167.251.168/3011.167.251.169 to 11.167.251.17011.167.251.1712
23611.167.251.172/3011.167.251.173 to 11.167.251.17411.167.251.1752
23711.167.251.176/3011.167.251.177 to 11.167.251.17811.167.251.1792
23811.167.251.180/3011.167.251.181 to 11.167.251.18211.167.251.1832
23911.167.251.184/3011.167.251.185 to 11.167.251.18611.167.251.1872
24011.167.251.188/3011.167.251.189 to 11.167.251.19011.167.251.1912
24111.167.251.192/3011.167.251.193 to 11.167.251.19411.167.251.1952
24211.167.251.196/3011.167.251.197 to 11.167.251.19811.167.251.1992
24311.167.251.200/3011.167.251.201 to 11.167.251.20211.167.251.2032
24411.167.251.204/3011.167.251.205 to 11.167.251.20611.167.251.2072
24511.167.251.208/3011.167.251.209 to 11.167.251.21011.167.251.2112
24611.167.251.212/3011.167.251.213 to 11.167.251.21411.167.251.2152
24711.167.251.216/3011.167.251.217 to 11.167.251.21811.167.251.2192
24811.167.251.220/3011.167.251.221 to 11.167.251.22211.167.251.2232
24911.167.251.224/3011.167.251.225 to 11.167.251.22611.167.251.2272
25011.167.251.228/3011.167.251.229 to 11.167.251.23011.167.251.2312
25111.167.251.232/3011.167.251.233 to 11.167.251.23411.167.251.2352
25211.167.251.236/3011.167.251.237 to 11.167.251.23811.167.251.2392
25311.167.251.240/3011.167.251.241 to 11.167.251.24211.167.251.2432
25411.167.251.244/3011.167.251.245 to 11.167.251.24611.167.251.2472
25511.167.251.248/3011.167.251.249 to 11.167.251.25011.167.251.2512
25611.167.251.252/3011.167.251.253 to 11.167.251.25411.167.251.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses